#include<stdio.h>
int main(){
	unsigned long long N,Q,i,j;
	scanf("%lld",&N);
		unsigned long long A[N];
		
	for( i=0;i<N;i++){
		scanf("%lld",&A[i]);
	}
	scanf("%lld",&Q);
		unsigned long long l[Q],r[Q];
		int n=0;	
	for( i=0;i<Q;i++){
			scanf("%lld %lld",&l[i],&r[i]);
		
	}
	for( i=0;i<Q;i++){
			for(j=l[i]-1;j<r[i]-1;j++){
				if(A[j]>A[j+1])n++;
				if(n>1){
					printf("NE\n");
				break;
				}
			
			}if(n==0||n==1)	printf("DA\n");
			n=0;
	
	}
	return 0;
}